%define pypi_name dill

Name:           python-%{pypi_name}
Version:        0.3.3
Release:        %mkrel 1
Summary:        Serialize all of python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/dill/
Source0:        %{pypi_source %pypi_name %version zip}
BuildArch:      noarch

%description
dill extends python’s pickle module for serializing and de-serializing python
objects to the majority of the built-in python types. Serialization is the
process of converting an object to a byte stream, and the inverse of which is
converting a byte stream back to on python object hierarchy.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
dill extends python’s pickle module for serializing and de-serializing python
objects to the majority of the built-in python types. Serialization is the
process of converting an object to a byte stream, and the inverse of which is
converting a byte stream back to on python object hierarchy.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README README.md
%{_bindir}/get_objgraph
%{_bindir}/undill
%{python3_sitelib}/dill
%{python3_sitelib}/dill-%{version}-*.egg-info


%changelog
* Sat Nov 28 2020 guillomovitch <guillomovitch> 0.3.3-1.mga8
+ Revision: 1649859
- new version 0.3.3

* Fri Jul 03 2020 guillomovitch <guillomovitch> 0.3.2-1.mga8
+ Revision: 1601774
- new version 0.3.2

* Sun Feb 16 2020 umeabot <umeabot> 0.3.1.1-2.mga8
+ Revision: 1534477
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 0.3.1.1-1.mga8
+ Revision: 1449004
- new version 0.3.1.1
- drop python2 support

* Tue Jul 02 2019 guillomovitch <guillomovitch> 0.3.0-1.mga8
+ Revision: 1417476
- imported package python-dill

